<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>ModelParameterArray &#8212; jetset 1.0.a documentation</title>
    <link rel="stylesheet" href="../_static/bootstrap-sphinx.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '1.0.a',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true,
        SOURCELINK_SUFFIX: '.txt'
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <script type="text/javascript" src="../_static/js/jquery-1.11.0.min.js"></script>
    <script type="text/javascript" src="../_static/js/jquery-fix.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-3.3.7/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="../_static/bootstrap-sphinx.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
<meta charset='utf-8'>
<meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'>
<meta name='viewport' content='width=device-width, initial-scale=1.0, maximum-scale=1'>
<meta name="apple-mobile-web-app-capable" content="yes">

  </head>
  <body>

  <div id="navbar" class="navbar navbar-inverse navbar-default navbar-fixed-top">
    <div class="container">
      <div class="navbar-header">
        <!-- .btn-navbar is used as the toggle for collapsed navbar content -->
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".nav-collapse">
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="../index.html"><span><img src="../_static/logo_small_transp.png"></span>
          JetSeT</a>
        <span class="navbar-text navbar-version pull-left"><b>1.0</b></span>
      </div>

        <div class="collapse navbar-collapse nav-collapse">
          <ul class="nav navbar-nav">
            
            
              <li class="dropdown globaltoc-container">
  <a role="button"
     id="dLabelGlobalToc"
     data-toggle="dropdown"
     data-target="#"
     href="../index.html">JetSeT <b class="caret"></b></a>
  <ul class="dropdown-menu globaltoc"
      role="menu"
      aria-labelledby="dLabelGlobalToc"><ul>
<li class="toctree-l1"><a class="reference internal" href="../user_guide/user_guide.html">user guide</a><ul>
<li class="toctree-l2"><a class="reference internal" href="../user_guide/user_guide.html#content">Content</a></li>
</ul>
</li>
</ul>
</ul>
</li>
              
                <li class="dropdown">
  <a role="button"
     id="dLabelLocalToc"
     data-toggle="dropdown"
     data-target="#"
     href="#">Page <b class="caret"></b></a>
  <ul class="dropdown-menu localtoc"
      role="menu"
      aria-labelledby="dLabelLocalToc"><ul>
<li><a class="reference internal" href="#">ModelParameterArray</a></li>
</ul>
</ul>
</li>
              
            
            
              
                
              
            
            
            
            
              <li class="hidden-sm">
<div id="sourcelink">
  <a href="../_sources/api/jetset.model_parameters.ModelParameterArray.rst.txt"
     rel="nofollow">Source</a>
</div></li>
            
          </ul>

          
            
<form class="navbar-form navbar-right" action="../search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
          
        </div>
    </div>
  </div>

<div class="container">
  <div class="row">
      <div class="col-md-3">
        <div id="sidebar" class="bs-sidenav" role="complementary"><ul>
<li><a class="reference internal" href="#">ModelParameterArray</a></li>
</ul>

<form action="../search.html" method="get">
 <div class="form-group">
  <input type="text" name="q" class="form-control" placeholder="Search" />
 </div>
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form>
        </div>
      </div>
    <div class="col-md-9 content">
      
  <div class="section" id="modelparameterarray">
<h1>ModelParameterArray<a class="headerlink" href="#modelparameterarray" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="jetset.model_parameters.ModelParameterArray">
<em class="property">class </em><code class="descname">ModelParameterArray</code><a class="reference internal" href="../_modules/jetset/model_parameters.html#ModelParameterArray"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_parameters.ModelParameterArray" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal"><span class="pre">object</span></code></p>
<p>This class provide and interface to handle an array of <a class="reference internal" href="jetset.model_parameters.ModelParameter.html#jetset.model_parameters.ModelParameter" title="jetset.model_parameters.ModelParameter"><code class="xref py py-class docutils literal"><span class="pre">ModelParameter</span></code></a> objects.</p>
<dl class="attribute">
<dt id="jetset.model_parameters.ModelParameterArray.par_array">
<code class="descname">par_array</code><a class="headerlink" href="#jetset.model_parameters.ModelParameterArray.par_array" title="Permalink to this definition">¶</a></dt>
<dd><p><em>list</em> – list of <a class="reference internal" href="jetset.model_parameters.ModelParameter.html#jetset.model_parameters.ModelParameter" title="jetset.model_parameters.ModelParameter"><code class="xref py py-class docutils literal"><span class="pre">ModelParameter</span></code></a> objects</p>
</dd></dl>

<p class="rubric">Methods Summary</p>
<table border="1" class="longtable docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><a class="reference internal" href="#jetset.model_parameters.ModelParameterArray.add_par" title="jetset.model_parameters.ModelParameterArray.add_par"><code class="xref py py-obj docutils literal"><span class="pre">add_par</span></code></a>(par)</td>
<td>adds a new <a class="reference internal" href="jetset.model_parameters.ModelParameter.html#jetset.model_parameters.ModelParameter" title="jetset.model_parameters.ModelParameter"><code class="xref py py-class docutils literal"><span class="pre">ModelParameter</span></code></a> object  to the <cite>par_array</cite></td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="#jetset.model_parameters.ModelParameterArray.del_par" title="jetset.model_parameters.ModelParameterArray.del_par"><code class="xref py py-obj docutils literal"><span class="pre">del_par</span></code></a>(par)</td>
<td></td>
</tr>
<tr class="row-odd"><td><a class="reference internal" href="#jetset.model_parameters.ModelParameterArray.freeze_all" title="jetset.model_parameters.ModelParameterArray.freeze_all"><code class="xref py py-obj docutils literal"><span class="pre">freeze_all</span></code></a>()</td>
<td></td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="#jetset.model_parameters.ModelParameterArray.get" title="jetset.model_parameters.ModelParameterArray.get"><code class="xref py py-obj docutils literal"><span class="pre">get</span></code></a>(par_name,&nbsp;arg)</td>
<td>gets the argument of a given parameter</td>
</tr>
<tr class="row-odd"><td><a class="reference internal" href="#jetset.model_parameters.ModelParameterArray.get_par_by_name" title="jetset.model_parameters.ModelParameterArray.get_par_by_name"><code class="xref py py-obj docutils literal"><span class="pre">get_par_by_name</span></code></a>(name[,&nbsp;verbose])</td>
<td>selects a parameter by name</td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="#jetset.model_parameters.ModelParameterArray.set" title="jetset.model_parameters.ModelParameterArray.set"><code class="xref py py-obj docutils literal"><span class="pre">set</span></code></a>(par_name,&nbsp;*args,&nbsp;**keywords)</td>
<td>sets to a given value a given parameter</td>
</tr>
<tr class="row-odd"><td><a class="reference internal" href="#jetset.model_parameters.ModelParameterArray.show_best_fit_pars" title="jetset.model_parameters.ModelParameterArray.show_best_fit_pars"><code class="xref py py-obj docutils literal"><span class="pre">show_best_fit_pars</span></code></a>([getstring])</td>
<td>shows the best-fit information for all the items in the <a class="reference internal" href="#jetset.model_parameters.ModelParameterArray.par_array" title="jetset.model_parameters.ModelParameterArray.par_array"><code class="xref py py-attr docutils literal"><span class="pre">par_array</span></code></a></td>
</tr>
<tr class="row-even"><td><a class="reference internal" href="#jetset.model_parameters.ModelParameterArray.show_pars" title="jetset.model_parameters.ModelParameterArray.show_pars"><code class="xref py py-obj docutils literal"><span class="pre">show_pars</span></code></a>([getstring])</td>
<td>shows the information for all the items in the <a class="reference internal" href="#jetset.model_parameters.ModelParameterArray.par_array" title="jetset.model_parameters.ModelParameterArray.par_array"><code class="xref py py-attr docutils literal"><span class="pre">par_array</span></code></a></td>
</tr>
</tbody>
</table>
<p class="rubric">Methods Documentation</p>
<dl class="method">
<dt id="jetset.model_parameters.ModelParameterArray.add_par">
<code class="descname">add_par</code><span class="sig-paren">(</span><em>par</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_parameters.html#ModelParameterArray.add_par"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_parameters.ModelParameterArray.add_par" title="Permalink to this definition">¶</a></dt>
<dd><p>adds a new <a class="reference internal" href="jetset.model_parameters.ModelParameter.html#jetset.model_parameters.ModelParameter" title="jetset.model_parameters.ModelParameter"><code class="xref py py-class docutils literal"><span class="pre">ModelParameter</span></code></a> object  to the <cite>par_array</cite></p>
</dd></dl>

<dl class="method">
<dt id="jetset.model_parameters.ModelParameterArray.del_par">
<code class="descname">del_par</code><span class="sig-paren">(</span><em>par</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_parameters.html#ModelParameterArray.del_par"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_parameters.ModelParameterArray.del_par" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="jetset.model_parameters.ModelParameterArray.freeze_all">
<code class="descname">freeze_all</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_parameters.html#ModelParameterArray.freeze_all"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_parameters.ModelParameterArray.freeze_all" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="jetset.model_parameters.ModelParameterArray.get">
<code class="descname">get</code><span class="sig-paren">(</span><em>par_name</em>, <em>arg</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_parameters.html#ModelParameterArray.get"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_parameters.ModelParameterArray.get" title="Permalink to this definition">¶</a></dt>
<dd><p>gets the argument of a given parameter</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first last simple">
<li><strong>par_name</strong> (<em>(</em><em>str</em><em>) </em><em>name of the parameter</em>) – </li>
<li><strong>arg</strong> (<em>keyword</em>) – </li>
</ul>
</td>
</tr>
</tbody>
</table>
<p class="rubric">Examples</p>
<p>if parameters is a <a class="reference internal" href="#jetset.model_parameters.ModelParameterArray" title="jetset.model_parameters.ModelParameterArray"><code class="xref py py-class docutils literal"><span class="pre">ModelParameterArray</span></code></a> object:</p>
</dd></dl>

<dl class="method">
<dt id="jetset.model_parameters.ModelParameterArray.get_par_by_name">
<code class="descname">get_par_by_name</code><span class="sig-paren">(</span><em>name</em>, <em>verbose=False</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_parameters.html#ModelParameterArray.get_par_by_name"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_parameters.ModelParameterArray.get_par_by_name" title="Permalink to this definition">¶</a></dt>
<dd><p>selects a parameter by name</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><strong>name</strong> (<em>(</em><em>str</em><em>) </em><em>parameter name</em>) – </td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><strong>item</strong></td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body">the <a class="reference internal" href="jetset.model_parameters.ModelParameter.html#jetset.model_parameters.ModelParameter" title="jetset.model_parameters.ModelParameter"><code class="xref py py-class docutils literal"><span class="pre">ModelParameter</span></code></a> element of the <cite>par_array</cite> with the corresponding name</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="jetset.model_parameters.ModelParameterArray.set">
<code class="descname">set</code><span class="sig-paren">(</span><em>par_name</em>, <em>*args</em>, <em>**keywords</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_parameters.html#ModelParameterArray.set"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_parameters.ModelParameterArray.set" title="Permalink to this definition">¶</a></dt>
<dd><p>sets to a given value a given parameter</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first last simple">
<li><strong>par_name</strong> (<em>(</em><em>str</em><em>) </em><em>name of the parameter</em>) – </li>
<li><strong>keywords</strong> (<em>keywords to set the value</em><em> or </em><em>the range of the parameter</em>) – </li>
</ul>
</td>
</tr>
</tbody>
</table>
<p class="rubric">Examples</p>
<p>if parameters is a <a class="reference internal" href="#jetset.model_parameters.ModelParameterArray" title="jetset.model_parameters.ModelParameterArray"><code class="xref py py-class docutils literal"><span class="pre">ModelParameterArray</span></code></a> object:</p>
</dd></dl>

<dl class="method">
<dt id="jetset.model_parameters.ModelParameterArray.show_best_fit_pars">
<code class="descname">show_best_fit_pars</code><span class="sig-paren">(</span><em>getstring=False</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_parameters.html#ModelParameterArray.show_best_fit_pars"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_parameters.ModelParameterArray.show_best_fit_pars" title="Permalink to this definition">¶</a></dt>
<dd><p>shows the best-fit information for all the items in the <a class="reference internal" href="#jetset.model_parameters.ModelParameterArray.par_array" title="jetset.model_parameters.ModelParameterArray.par_array"><code class="xref py py-attr docutils literal"><span class="pre">par_array</span></code></a></p>
</dd></dl>

<dl class="method">
<dt id="jetset.model_parameters.ModelParameterArray.show_pars">
<code class="descname">show_pars</code><span class="sig-paren">(</span><em>getstring=False</em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/jetset/model_parameters.html#ModelParameterArray.show_pars"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#jetset.model_parameters.ModelParameterArray.show_pars" title="Permalink to this definition">¶</a></dt>
<dd><p>shows the information for all the items in the <a class="reference internal" href="#jetset.model_parameters.ModelParameterArray.par_array" title="jetset.model_parameters.ModelParameterArray.par_array"><code class="xref py py-attr docutils literal"><span class="pre">par_array</span></code></a></p>
</dd></dl>

</dd></dl>

</div>


    </div>
      
  </div>
</div>
<footer class="footer">
  <div class="container">
    <p class="pull-right">
      <a href="#">Back to top</a>
      
    </p>
    <p>
        &copy; Copyright 2018, andrea tramacere.<br/>
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.6.6.<br/>
    </p>
  </div>
</footer>
  </body>
</html>